<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

        <div class="modal-header">
            <h6 class="modal-title" id="myGeneralUploadLabel">Upload Organization Costumer Data</h6>
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
        </div>
        <div class="card-deck" style="margin: 10px;">
            <div class="card">
                <div class="card-body">
                    <jhi-alert-error></jhi-alert-error>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.generalUpload.description" for="field_description">Description</label>
                        <input type="text" class="form-control" name="description" id="field_description"
                            [(ngModel)]="generalUpload.description" required />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.generalUpload.value" for="field_value">Value</label>
                        <div>
                            <div *ngIf="generalUpload.value" class="form-text text-danger clearfix">
                                <a class="pull-left" (click)="openFile(generalUpload.valueContentType, generalUpload.value)" jhiTranslate="entity.action.open">open</a><br>
                                <span class="pull-left">{{generalUpload.valueContentType}}, {{byteSize(generalUpload.value)}}</span>
                                <button type="button" (click)="generalUpload.value=null;generalUpload.valueContentType=null;"
                                        class="btn btn-secondary btn-xs pull-right">
                                    <span class="fa fa-times"></span>
                                </button>
                            </div>
                            <input required type="file" id="file_value" (change)="setFileData($event, generalUpload, 'value', false)" jhiTranslate="entity.action.addblob"/>
                        </div>
                        <input type="hidden" class="form-control" name="value" id="field_value"
                            [(ngModel)]="generalUpload.value" />
                        <input type="hidden" class="form-control" name="valueContentType" id="field_valueContentType"
                            [(ngModel)]="generalUpload.valueContentType" />
                    </div>
    
                    <div class="form-group" *ngIf="idInternal === undefined">
                        <label class="form-control-label" jhiTranslate="mpmApp.generalUpload.internal" for="field_internal">Internal</label>
                        <select required class="form-control" id="field_internal" name="internal" [(ngModel)]="generalUpload.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}} - {{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    
                    <input type="hidden" class="form-control" name="purpose" id="field_purpose"
                            value="{{generalUpload.purposeId}}" />
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="button" data-dismiss="modal" (click)="clear()"
                label="{{'entity.action.cancel' | translate}}"
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
    